defmodule AmethystUmbrella.MixProject do
  use Mix.Project

  def project do
    [
      apps_path: "apps",
      version: "0.1.0",
      elixir: "~> 1.17",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      # default_release: :amethyst,

      releases: [
        amethyst: [
          version: "0.1.0",
          applications: [amethyst: :permanent]
        ],
        example: [
          version: "0.1.0",
          applications: [
            amethyst: :permanent,
            example_game: :permanent
          ]
        ]
      ]
    ]
  end

  # Dependencies listed here are available only for this
  # project and cannot be accessed from applications inside
  # the apps folder.
  #
  # Run "mix help deps" for examples and options.
  defp deps do
    [{:pre_commit, "~> 0.3.4", only: :dev}]
  end
end
