import Config

config :amethyst,
  port: 25599, # Bogus port for testing, avoids unexpected conflicts
  encryption: true, # Whether or not to request encryption from clients.
  auth: true, # Whether or not users should be authenticated with Mojang.
  session_server: "https://sessionserver.mojang.com", # Base URL to the Mojang session server
  compression: 256, # Packets larger than this amount are sent compressed. Set to nil to disable compression.
  default_game: Example.Game, # Which game new players should be sent to
  release: config_env() == :prod # If this is set to false, Amethyst will perform additional checks at runtime and will handle errors more loosely
